> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add chat member

> Share an org chat with a member of the org: they can read and write it, and it appears in their chats.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /chats/{chat_id}/members
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
tags:
  - name: Inbox
  - name: Chats
  - name: Messages
  - name: Contacts
  - name: Custom channels
  - name: Segments
  - name: Suppressions
  - name: Assistants
  - name: Agents
  - name: Skills
  - name: Knowledge
  - name: AI
  - name: Broadcasts
  - name: Email sending
  - name: WhatsApp
  - name: WhatsApp Meta agent
  - name: Tables
  - name: Records
  - name: Views
  - name: Pages
  - name: Connections
  - name: Workspace
  - name: Sub-organizations
  - name: Analytics and logs
  - name: Workflows
paths:
  /chats/{chat_id}/members:
    post:
      tags:
        - Chats
      summary: Add chat member
      description: >-
        Share an org chat with a member of the org: they can read and write it,
        and it appears in their chats.
      parameters:
        - schema:
            type: string
          required: true
          description: Chat ID
          name: chat_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddChatMemberSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AddChatMemberSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatSchema'
components:
  schemas:
    AddChatMemberSchema:
      type: object
      properties:
        member_id:
          type: string
          maxLength: 128
          description: The org member to add to the chat (member_...)
      required:
        - member_id
      description: Schema for adding an org member to a chat
    ChatSchema:
      type: object
      properties:
        id:
          type: string
        title:
          type:
            - string
            - 'null'
          description: The title of the chat
        model:
          type: string
          description: The model used for the chat
        tools:
          type: array
          items:
            $ref: '#/components/schemas/ModelToolSchema'
          description: The tools available in the chat
        skills:
          type: array
          items:
            $ref: '#/components/schemas/SkillLimitedSchema'
          description: The skills enabled in the chat
        features:
          $ref: '#/components/schemas/ChatFeaturesSchema'
        org_id:
          type: string
        members:
          type: array
          items:
            $ref: '#/components/schemas/ChatMemberSchema'
          description: The members of the chat
        temporary:
          type: boolean
          description: >-
            Whether the chat is temporary and would be deleted after 24 hours of
            last activity
        visibility:
          type: string
          enum:
            - PRIVATE
            - PUBLIC_READ
            - PUBLIC_WRITE
          description: The visibility of the chat
        pinned:
          type: boolean
          description: Whether the chat is pinned in the user interface
        status:
          type: string
          enum:
            - RUNNING
            - COMPLETED
            - FAILED
            - CANCELED
          description: The status of the chat
        agent:
          allOf:
            - $ref: '#/components/schemas/AgentLimitedSchema'
            - description: The agent whose run this chat is
        routine:
          $ref: '#/components/schemas/RoutineLimitedSchema'
        activity:
          $ref: '#/components/schemas/ActivityLimitedSchema'
        state:
          $ref: '#/components/schemas/ChatStateSchema'
        link:
          type: string
          description: The link to the chat in the integration
        shared_url:
          type:
            - string
            - 'null'
          description: The shared URL of the chat, if it is shared
        last_message:
          $ref: '#/components/schemas/ChatMessageSchema'
        referral:
          $ref: '#/components/schemas/ChatReferralSchema'
        reminders:
          type: array
          items:
            $ref: '#/components/schemas/ChatReminderSchema'
          description: The active reminders scheduled on this chat
        attentions:
          type: array
          items:
            $ref: '#/components/schemas/ChatAttentionItemSchema'
          description: The pending approvals and questions waiting on this chat
        spend:
          type: number
          description: >-
            What the organization paid for this chat's AI turns, in USD; org
            chats only
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - title
        - model
        - members
        - temporary
        - visibility
        - pinned
        - status
        - shared_url
        - created_at
        - updated_at
    ModelToolSchema:
      type: object
      properties:
        name:
          type: string
          maxLength: 256
          description: Name of the tool to called, can be a step key or custom tool
        display_name:
          type: string
          maxLength: 256
          description: Display name of the tool, can be used in UI
        action_name:
          type: string
          maxLength: 256
          description: >-
            The original name of the action this tool is based on, used for
            connection-based tools
        description:
          type: string
          maxLength: 2048
          description: Description of the tool
        icon:
          type: string
          maxLength: 64
          pattern: ^[a-zA-Z0-9_-]+$
          description: The name of the icon to use in the UI
          oneOf:
            - $ref: '#/components/schemas/IconNameSchema'
        icon_url:
          type: string
          description: URL of the icon to use in the UI
        connection_id:
          type: string
          maxLength: 256
          description: >-
            For connection-bound tools (action runners), the id of the
            connection this tool executes against
        parameters:
          allOf:
            - $ref: '#/components/schemas/FieldsSchema'
            - description: Parameters for the tool call using an input schema definition
        input:
          $ref: '#/components/schemas/InputValuesSchema'
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsSchema'
          description: >-
            For connection-bound tools, dynamic field schemas loaded for the
            selected resource, merged into the parameters at build time
        enabled:
          type: boolean
          description: >-
            For tools that are enabled by default, set to false to opt out and
            disable them for this chat
        callback:
          type: string
        validation:
          type: string
      required:
        - name
    SkillLimitedSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
      description: >-
        Compact skill reference for embedding in other resources (e.g. the
        skills enabled in a chat)
    ChatFeaturesSchema:
      type: object
      properties:
        reasoning:
          $ref: '#/components/schemas/ModelFeatureReasoningSchema'
        mode:
          $ref: '#/components/schemas/ConnectionActionApprovalModeSchema'
        web:
          type: boolean
        image_generation:
          type: boolean
        workbench:
          $ref: '#/components/schemas/ChatWorkbenchFeatureSchema'
      description: >-
        Per-chat features and run settings: model features plus approval mode
        and org-chat tool toggles.
    ChatMemberSchema:
      type: object
      properties:
        id:
          type: string
        role:
          $ref: '#/components/schemas/ChatMemberRoleSchema'
        user:
          $ref: '#/components/schemas/UserPublicSchema'
        session:
          $ref: '#/components/schemas/PublicSessionSchema'
        contact_channel:
          $ref: '#/components/schemas/PublicContactChannelSchema'
        agent:
          $ref: '#/components/schemas/AgentLimitedSchema'
        seen_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - role
      description: The member of the chat
    AgentLimitedSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        icon:
          anyOf:
            - $ref: '#/components/schemas/PickerIconEmojiSchema'
            - type: string
              maxLength: 64
              pattern: ^[a-zA-Z0-9_-]+$
              description: >-
                The name of a curated icon a user can pick for a table, view,
                field, or other entity
              oneOf:
                - $ref: '#/components/schemas/PickerIconNameSchema'
            - type: 'null'
          description: >-
            A picked icon or emoji. Null = the generated face, unless a custom
            image is set.
        color:
          allOf:
            - $ref: '#/components/schemas/ColorNameSchema'
            - description: >-
                The identity color, reused by every surface that carries the
                agent
        shape:
          anyOf:
            - $ref: '#/components/schemas/AgentShapeSchema'
            - type: 'null'
          description: >-
            The silhouette of the generated face. Null when an icon or a custom
            image is set.
        avatar_url:
          type:
            - string
            - 'null'
          description: >-
            The agent as an image, either the custom picture or the PNG snapshot
            of its face or icon
      required:
        - id
        - name
        - icon
        - color
        - shape
        - avatar_url
      description: A reduced agent reference
    RoutineLimitedSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        type:
          $ref: '#/components/schemas/RoutineTypeSchema'
        trigger_action:
          type:
            - string
            - 'null'
          description: >-
            Trigger routines: the trigger that fires it, e.g.
            'GMAIL:ON_NEW_EMAIL'
      required:
        - id
        - name
        - type
        - trigger_action
      description: The routine whose fire started this chat
    ActivityLimitedSchema:
      type: object
      properties:
        id:
          type: string
        contact:
          $ref: '#/components/schemas/ModelReferenceSchema'
        record:
          $ref: '#/components/schemas/ModelReferenceSchema'
      required:
        - id
      description: >-
        Compact activity reference: its id and the contact or custom-table
        record it was written on, drawn like their mention chips
    ChatStateSchema:
      type: object
      properties:
        id:
          type: string
        state:
          $ref: '#/components/schemas/ChatStateStatusSchema'
        channel_type:
          $ref: '#/components/schemas/ChannelTypeIdSchema'
        assistant:
          $ref: '#/components/schemas/PublicAssistantSchema'
        assistant_channel:
          $ref: '#/components/schemas/PublicAssistantChannelSchema'
        conversation_id:
          type: string
          description: The ID of the conversation associated with the chat
        assigned_user:
          $ref: '#/components/schemas/UserLimitedSchema'
        assigned_at:
          type:
            - string
            - 'null'
          format: date-time
        assistant_config:
          $ref: '#/components/schemas/AssistantConfigSchema'
        ai_enabled:
          type: boolean
          description: Whether AI is enabled for the chat
        admin_unseen_count:
          type: number
          description: The number of unseen messages in the chat
        user_unseen_count:
          type: number
          description: The number of unseen messages in the chat
        follow_up_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Scheduled follow-up datetime
        muted_until:
          type:
            - string
            - 'null'
          format: date-time
          description: Mute expiry datetime (null = not muted)
        free_window_expires_at:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            When the free entry point window closes: templates sent before it
            are not charged. It never extends the reply window (null = no free
            window)
        csat_score:
          type:
            - integer
            - 'null'
          minimum: 1
          maximum: 5
          description: Customer satisfaction score (1-5)
        last_contact_message_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - state
        - channel_type
        - conversation_id
        - ai_enabled
        - admin_unseen_count
        - user_unseen_count
      description: Schema for the chat state
    ChatMessageSchema:
      type: object
      properties:
        id:
          type: string
        role:
          $ref: '#/components/schemas/ModelMessageRoleSchema'
        model:
          type: string
          description: The model used for the message
        messages:
          type: array
          items:
            $ref: '#/components/schemas/ModelMessageSchema'
          description: The message content
        member:
          $ref: '#/components/schemas/ChatMemberSchema'
        status:
          $ref: '#/components/schemas/ChatStatusSchema'
        error:
          type: string
          description: Error message if the message failed
        broadcast_id:
          type: string
          description: ID of the broadcast this message originates from
        is_broadcast_message:
          type: boolean
          description: Whether this message was sent via a broadcast template
        channel_type:
          allOf:
            - $ref: '#/components/schemas/ChannelTypeIdSchema'
            - description: The channel the message arrived through, if any
        usage:
          $ref: '#/components/schemas/ModelUsageSchema'
        cost:
          $ref: '#/components/schemas/ModelUsageCostSchema'
        delivered_at:
          type:
            - string
            - 'null'
          format: date-time
          description: When the message was delivered to the recipient
        reactions:
          type: array
          items:
            $ref: '#/components/schemas/ChatMessageReactionSchema'
          description: Emoji reactions on the message
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - role
        - model
        - status
        - created_at
        - updated_at
      description: The chat message schema
    ChatReferralSchema:
      oneOf:
        - $ref: '#/components/schemas/ChatMessengerAdSchema'
        - $ref: '#/components/schemas/ChatMessengerProductSchema'
        - $ref: '#/components/schemas/ChatMessengerProductTemplateSchema'
        - $ref: '#/components/schemas/ChatWhatsAppAdSchema'
        - $ref: '#/components/schemas/ChatWhatsAppProductSchema'
        - $ref: '#/components/schemas/ChatWhatsAppOrderSchema'
        - $ref: '#/components/schemas/ChatInstagramAdSchema'
        - $ref: '#/components/schemas/ChatInstagramProductSchema'
        - $ref: '#/components/schemas/ChatInstagramProductTemplateSchema'
        - $ref: '#/components/schemas/ChatInstagramPostSchema'
        - $ref: '#/components/schemas/ChatInstagramReelSchema'
        - $ref: '#/components/schemas/ChatInstagramStorySchema'
        - $ref: '#/components/schemas/ChatInstagramStoryMentionSchema'
        - $ref: '#/components/schemas/ChatInstagramCommentSchema'
        - $ref: '#/components/schemas/ChatMessengerPostSchema'
        - $ref: '#/components/schemas/ChatMessengerReelSchema'
        - $ref: '#/components/schemas/ChatMessengerCommentSchema'
        - $ref: '#/components/schemas/ChatTikTokAdSchema'
        - $ref: '#/components/schemas/ChatTikTokPostShareSchema'
        - $ref: '#/components/schemas/ChatTikTokShortLinkSchema'
        - $ref: '#/components/schemas/ChatWebWidgetReferralSchema'
      discriminator:
        propertyName: type
        mapping:
          messenger_ad: '#/components/schemas/ChatMessengerAdSchema'
          messenger_product: '#/components/schemas/ChatMessengerProductSchema'
          messenger_product_template: '#/components/schemas/ChatMessengerProductTemplateSchema'
          whatsapp_ad: '#/components/schemas/ChatWhatsAppAdSchema'
          whatsapp_product: '#/components/schemas/ChatWhatsAppProductSchema'
          whatsapp_order: '#/components/schemas/ChatWhatsAppOrderSchema'
          instagram_ad: '#/components/schemas/ChatInstagramAdSchema'
          instagram_product: '#/components/schemas/ChatInstagramProductSchema'
          instagram_product_template: '#/components/schemas/ChatInstagramProductTemplateSchema'
          instagram_post: '#/components/schemas/ChatInstagramPostSchema'
          instagram_reel: '#/components/schemas/ChatInstagramReelSchema'
          instagram_story: '#/components/schemas/ChatInstagramStorySchema'
          instagram_story_mention: '#/components/schemas/ChatInstagramStoryMentionSchema'
          instagram_comment: '#/components/schemas/ChatInstagramCommentSchema'
          messenger_post: '#/components/schemas/ChatMessengerPostSchema'
          messenger_reel: '#/components/schemas/ChatMessengerReelSchema'
          messenger_comment: '#/components/schemas/ChatMessengerCommentSchema'
          tiktok_ad: '#/components/schemas/ChatTikTokAdSchema'
          tiktok_post_share: '#/components/schemas/ChatTikTokPostShareSchema'
          tiktok_short_link: '#/components/schemas/ChatTikTokShortLinkSchema'
          web_widget: '#/components/schemas/ChatWebWidgetReferralSchema'
      description: >-
        Referral/commerce event data from Meta platforms — ads, products,
        orders.
    ChatReminderSchema:
      type: object
      properties:
        id:
          type: string
        note:
          type: string
        schedule:
          type:
            - string
            - 'null'
        timezone:
          allOf:
            - $ref: '#/components/schemas/TimezoneValueSchema'
            - type:
                - string
                - 'null'
              description: IANA timezone identifier (e.g. America/New_York)
        next_run_at:
          type:
            - string
            - 'null'
          format: date-time
        occurrences:
          type: number
        max_occurrences:
          type:
            - number
            - 'null'
        created_at:
          type: string
          format: date-time
      required:
        - id
        - note
        - schedule
        - timezone
        - next_run_at
        - occurrences
        - max_occurrences
        - created_at
    ChatAttentionItemSchema:
      type: object
      properties:
        id:
          type: string
        kind:
          $ref: '#/components/schemas/ChatAttentionKindSchema'
        message_id:
          type: string
        tool_call_id:
          type: string
        action_name:
          type:
            - string
            - 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - kind
        - message_id
        - tool_call_id
        - action_name
        - created_at
    IconNameSchema:
      type: string
      enum:
        - StepFormIcon
        - StepAiIcon
        - StepNoteIcon
        - StepBranchIcon
        - StepCodeIcon
        - SmsIcon
        - ConnectionIcon
        - ConnectionSchedulerIcon
        - ConnectionFilesIcon
        - ConnectionHttpIcon
        - ConnectionHttpCredentialsIcon
        - ConnectionWorkflowIcon
        - ConnectionMcpIcon
        - ConnectionOpenApiIcon
        - ConnectionAudienceIcon
        - ConnectionContactsIcon
        - ConnectionTablesIcon
        - ConnectionAssistantsIcon
        - ConnectionAgentsIcon
        - ConnectionChatsIcon
        - ConnectionInboxIcon
        - ConnectionKnowledgeIcon
        - ConnectionAuditIcon
        - InternalIntegrationIcon
        - CustomIntegrationIcon
        - ToolThinkIcon
        - ToolWebSearchIcon
        - ToolWebScrapingIcon
        - ToolGenerateImageIcon
        - ToolDisplayFileIcon
        - ToolCalculatorIcon
        - ToolGenerateFileIcon
        - ToolGeneratePdfIcon
        - ToolRunCodeIcon
        - ToolDeepResearchIcon
        - ToolSearchKbIcon
        - ToolShowOptionsIcon
        - ToolRequestLocationIcon
        - ToolSendLocationIcon
        - ToolSendContactIcon
        - ToolManageMemoryIcon
        - ToolUpdateContactIcon
        - TextIcon
        - ClockFadingIcon
        - CalendarIcon
        - CloudIcon
        - GlobeAltIcon
        - LockClosedIcon
        - NoSymbolIcon
        - SparklesIcon
        - AcademicCapIcon
        - HandRaisedIcon
        - BoltIcon
        - WorkflowIcon
        - FileSpreadsheetIcon
        - DatabaseIcon
        - TableIcon
        - TableRowIcon
        - TableRowAddIcon
        - TableRowEditIcon
        - TableRowDeleteIcon
        - TableRowsIcon
        - PageIcon
        - UserIcon
        - UsersIcon
        - EmailIcon
        - PhoneIcon
        - CurrencyIcon
        - FunctionIcon
        - TableCellsIcon
        - DocumentTextIcon
        - QueueListIcon
        - TagIcon
        - SettingsIcon
        - ShoppingCartIcon
        - ShoppingBagIcon
        - BuildingStorefrontIcon
        - MegaphoneIcon
        - WrenchScrewdriverIcon
        - MagnifyingGlassIcon
        - DocumentChartBarIcon
        - ClipboardDocumentListIcon
        - ClipboardDocumentCheckIcon
        - FolderIcon
        - ArchiveBoxIcon
        - InboxIcon
        - BookOpenIcon
        - BookmarkIcon
        - NewspaperIcon
        - RectangleStackIcon
        - PencilSquareIcon
        - UserGroupIcon
        - UserPlusIcon
        - IdentificationIcon
        - FaceSmileIcon
        - HandThumbUpIcon
        - HeartIcon
        - StarIcon
        - CheckBadgeIcon
        - TrophyIcon
        - CrownIcon
        - ChatBubbleLeftIcon
        - ChatBubbleLeftRightIcon
        - EnvelopeIcon
        - EnvelopeOpenIcon
        - DevicePhoneMobileIcon
        - BellIcon
        - PaperAirplaneIcon
        - AtSymbolIcon
        - RssIcon
        - LifebuoyIcon
        - CreditCardIcon
        - BanknotesIcon
        - CurrencyDollarIcon
        - CurrencyEuroIcon
        - ReceiptPercentIcon
        - WalletIcon
        - CoinsIcon
        - GiftIcon
        - TicketIcon
        - ScaleIcon
        - TruckIcon
        - CubeIcon
        - CalendarDaysIcon
        - CalendarDateRangeIcon
        - ClockIcon
        - FlagIcon
        - CheckCircleIcon
        - ListBulletIcon
        - FunnelIcon
        - ChartBarIcon
        - ChartPieIcon
        - PresentationChartLineIcon
        - ArrowTrendingUpIcon
        - BriefcaseIcon
        - Cog6ToothIcon
        - KeyIcon
        - ShieldCheckIcon
        - LightBulbIcon
        - BeakerIcon
        - BugAntIcon
        - CpuChipIcon
        - CodeBracketIcon
        - CommandLineIcon
        - ServerIcon
        - LinkIcon
        - HomeIcon
        - HomeModernIcon
        - BuildingOfficeIcon
        - BuildingOffice2Icon
        - BuildingLibraryIcon
        - MapPinIcon
        - MapIcon
        - GlobeAmericasIcon
        - RocketLaunchIcon
        - PlaneIcon
        - CarIcon
        - SunIcon
        - MoonIcon
        - FireIcon
        - CakeIcon
        - ScissorsIcon
        - SwatchIcon
        - PaintBrushIcon
        - CoffeeIcon
        - UtensilsIcon
        - LeafIcon
        - DumbbellIcon
        - HeartPulseIcon
        - PawPrintIcon
        - StethoscopeIcon
        - CameraIcon
        - PhotoIcon
        - FilmIcon
        - VideoCameraIcon
        - MicrophoneIcon
        - MusicalNoteIcon
        - SpeakerWaveIcon
        - PlayCircleIcon
        - TvIcon
        - RadioIcon
        - PuzzlePieceIcon
        - GamepadIcon
        - ModelAutoIcon
        - ModelOpenAIIcon
        - ModelAnthropicIcon
        - ModelClaudeIcon
        - ModelGoogleIcon
        - ModelGeminiIcon
        - ModelXAIIcon
        - ModelGrokIcon
        - ModelPerplexityIcon
        - ModelGroqIcon
        - ModelAzureIcon
        - ModelElevenLabsIcon
        - ModelDeepgramIcon
        - ModelOpenRouterIcon
        - ModelDeepSeekIcon
        - ModelMoonshotIcon
        - ModelQwenIcon
        - ModelMetaIcon
        - ModelZhipuIcon
      description: The name of the icon to use in the UI
    FieldsSchema:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/FieldSchema'
      description: The definition of the field schemas
    InputValuesSchema:
      type: object
      additionalProperties: {}
      description: >-
        For connection-bound tools, locked input values (e.g. a selected
        resource) that drive dynamic fields and are injected at execution
    DynamicFieldsSchema:
      type: object
      properties:
        path:
          type: string
        definition:
          $ref: '#/components/schemas/FieldsSchema'
      required:
        - path
        - definition
      description: The dynamic fields input definitions
    ModelFeatureReasoningSchema:
      type: object
      properties:
        effort:
          $ref: '#/components/schemas/ModelFeatureReasoningEffortSchema'
      required:
        - effort
      description: The reasoning capability of the model.
    ConnectionActionApprovalModeSchema:
      type: string
      enum:
        - auto
        - ask
        - never
      description: When the assistant must ask before running the action
    ChatWorkbenchFeatureSchema:
      type: object
      properties:
        enabled:
          type: boolean
        network:
          $ref: '#/components/schemas/ChatWorkbenchNetworkSchema'
      description: 'Workbench: run code and tools in a sandbox.'
    ChatMemberRoleSchema:
      type: string
      enum:
        - ADMIN
        - MEMBER
      description: The role of the member in the chat
    UserPublicSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        avatar:
          type:
            - string
            - 'null'
      required:
        - id
        - name
        - avatar
    PublicSessionSchema:
      type: object
      properties:
        id:
          type: string
      required:
        - id
      description: Data that is publicly accessible for a session
    PublicContactChannelSchema:
      type: object
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/ChannelTypeIdSchema'
        user_id:
          type: string
          description: >-
            The unique identifier for the contact channel, e.g Phone Number or
            User ID
        avatar:
          type:
            - string
            - 'null'
          description: The avatar for the contact channel, e.g X Avatar URL
        name:
          type:
            - string
            - 'null'
          description: The name for the contact channel, e.g Full Name
        username:
          type:
            - string
            - 'null'
          description: The username for the contact channel, e.g Username
        email:
          type:
            - string
            - 'null'
          format: email
          description: The email for the contact channel, e.g Email
        phone:
          type:
            - string
            - 'null'
          description: The phone number for the contact channel, e.g Phone Number
        country:
          type:
            - string
            - 'null'
          description: >-
            The country code associated with the contact channel, e.g US for
            United States
        agent:
          type:
            - string
            - 'null'
          description: The user agent associated with the contact channel
        ip:
          type:
            - string
            - 'null'
          description: The IP address associated with the contact channel
        language:
          type:
            - string
            - 'null'
          description: >-
            The language code associated with the contact channel, e.g en for
            English
        link:
          type: string
          description: >-
            A link to the contact channel, e.g a link to the social media
            profile
        contact:
          $ref: '#/components/schemas/PublicContactSchema'
      required:
        - id
        - type
        - user_id
        - avatar
        - name
        - username
        - email
        - phone
        - country
        - agent
        - ip
        - language
        - contact
      description: Schema for the public contact channel
    PickerIconEmojiSchema:
      type: string
      format: emoji
      description: >-
        The emoji of a curated icon a user can pick for a table, view, field, or
        other entity
    PickerIconNameSchema:
      type: string
      enum:
        - TableCellsIcon
        - DatabaseIcon
        - DocumentTextIcon
        - DocumentChartBarIcon
        - ClipboardDocumentListIcon
        - ClipboardDocumentCheckIcon
        - FolderIcon
        - ArchiveBoxIcon
        - InboxIcon
        - BookOpenIcon
        - BookmarkIcon
        - NewspaperIcon
        - RectangleStackIcon
        - PencilSquareIcon
        - UserIcon
        - UsersIcon
        - UserGroupIcon
        - UserPlusIcon
        - IdentificationIcon
        - FaceSmileIcon
        - HandThumbUpIcon
        - HeartIcon
        - StarIcon
        - CheckBadgeIcon
        - TrophyIcon
        - CrownIcon
        - ChatBubbleLeftIcon
        - ChatBubbleLeftRightIcon
        - EnvelopeIcon
        - EnvelopeOpenIcon
        - PhoneIcon
        - DevicePhoneMobileIcon
        - MegaphoneIcon
        - BellIcon
        - PaperAirplaneIcon
        - AtSymbolIcon
        - RssIcon
        - LifebuoyIcon
        - ShoppingCartIcon
        - ShoppingBagIcon
        - BuildingStorefrontIcon
        - CreditCardIcon
        - BanknotesIcon
        - CurrencyDollarIcon
        - CurrencyEuroIcon
        - ReceiptPercentIcon
        - WalletIcon
        - CoinsIcon
        - GiftIcon
        - TagIcon
        - TicketIcon
        - ScaleIcon
        - TruckIcon
        - CubeIcon
        - CalendarIcon
        - CalendarDaysIcon
        - CalendarDateRangeIcon
        - ClockIcon
        - FlagIcon
        - CheckCircleIcon
        - ListBulletIcon
        - QueueListIcon
        - FunnelIcon
        - ChartBarIcon
        - ChartPieIcon
        - PresentationChartLineIcon
        - ArrowTrendingUpIcon
        - BriefcaseIcon
        - WrenchScrewdriverIcon
        - Cog6ToothIcon
        - KeyIcon
        - LockClosedIcon
        - ShieldCheckIcon
        - BoltIcon
        - LightBulbIcon
        - BeakerIcon
        - BugAntIcon
        - CpuChipIcon
        - CodeBracketIcon
        - CommandLineIcon
        - ServerIcon
        - LinkIcon
        - HomeIcon
        - HomeModernIcon
        - BuildingOfficeIcon
        - BuildingOffice2Icon
        - BuildingLibraryIcon
        - MapPinIcon
        - MapIcon
        - GlobeAltIcon
        - GlobeAmericasIcon
        - RocketLaunchIcon
        - PlaneIcon
        - CarIcon
        - SunIcon
        - MoonIcon
        - FireIcon
        - SparklesIcon
        - CakeIcon
        - AcademicCapIcon
        - ScissorsIcon
        - SwatchIcon
        - PaintBrushIcon
        - CoffeeIcon
        - UtensilsIcon
        - LeafIcon
        - DumbbellIcon
        - HeartPulseIcon
        - PawPrintIcon
        - StethoscopeIcon
        - CameraIcon
        - PhotoIcon
        - FilmIcon
        - VideoCameraIcon
        - MicrophoneIcon
        - MusicalNoteIcon
        - SpeakerWaveIcon
        - PlayCircleIcon
        - TvIcon
        - RadioIcon
        - PuzzlePieceIcon
        - GamepadIcon
      description: >-
        The name of a curated icon a user can pick for a table, view, field, or
        other entity
    ColorNameSchema:
      type: string
      enum:
        - red
        - orange
        - amber
        - yellow
        - lime
        - green
        - teal
        - cyan
        - sky
        - blue
        - indigo
        - violet
        - purple
        - fuchsia
        - pink
        - rose
        - neutral
      options:
        red:
          label: Red
          color: red
        orange:
          label: Orange
          color: orange
        amber:
          label: Amber
          color: amber
        yellow:
          label: Yellow
          color: yellow
        lime:
          label: Lime
          color: lime
        green:
          label: Green
          color: green
        teal:
          label: Teal
          color: teal
        cyan:
          label: Cyan
          color: cyan
        sky:
          label: Sky
          color: sky
        blue:
          label: Blue
          color: blue
        indigo:
          label: Indigo
          color: indigo
        violet:
          label: Violet
          color: violet
        purple:
          label: Purple
          color: purple
        fuchsia:
          label: Fuchsia
          color: fuchsia
        pink:
          label: Pink
          color: pink
        rose:
          label: Rose
          color: rose
        neutral:
          label: Neutral
          color: neutral
      title: Color
      description: Accent color, by name
    AgentShapeSchema:
      type: string
      enum:
        - square
        - round
        - pebble
        - slate
        - beam
        - bloom
        - arch
        - clave
      title: Shape
      description: The silhouette of a generated agent face
    RoutineTypeSchema:
      type: string
      enum:
        - SCHEDULED
        - AUTOPILOT
        - WEBHOOK
        - TRIGGER
      description: >-
        How the routine fires: SCHEDULED = cron · AUTOPILOT = the run schedules
        itself · WEBHOOK = fired by its URL · TRIGGER = fired by an event of a
        connected app
    ModelReferenceSchema:
      type: object
      properties:
        kind:
          $ref: '#/components/schemas/ModelReferenceKindSchema'
        id:
          type: string
          description: Public id of the referenced entity
        name:
          type: string
          description: Display name, snapshotted when the text was written
        icon:
          anyOf:
            - $ref: '#/components/schemas/PickerIconEmojiSchema'
            - type: string
              maxLength: 64
              pattern: ^[a-zA-Z0-9_-]+$
              description: >-
                The name of a curated icon a user can pick for a table, view,
                field, or other entity
              oneOf:
                - $ref: '#/components/schemas/PickerIconNameSchema'
            - type: 'null'
          description: >-
            The entity's own icon or emoji, filled on write. Null = the default
            of its kind
        icon_url:
          type:
            - string
            - 'null'
          format: uri
          description: The entity's image, filled on write, when it has one
        color:
          type:
            - string
            - 'null'
          enum:
            - red
            - orange
            - amber
            - yellow
            - lime
            - green
            - teal
            - cyan
            - sky
            - blue
            - indigo
            - violet
            - purple
            - fuchsia
            - pink
            - rose
            - neutral
            - null
          options:
            red:
              label: Red
              color: red
            orange:
              label: Orange
              color: orange
            amber:
              label: Amber
              color: amber
            yellow:
              label: Yellow
              color: yellow
            lime:
              label: Lime
              color: lime
            green:
              label: Green
              color: green
            teal:
              label: Teal
              color: teal
            cyan:
              label: Cyan
              color: cyan
            sky:
              label: Sky
              color: sky
            blue:
              label: Blue
              color: blue
            indigo:
              label: Indigo
              color: indigo
            violet:
              label: Violet
              color: violet
            purple:
              label: Purple
              color: purple
            fuchsia:
              label: Fuchsia
              color: fuchsia
            pink:
              label: Pink
              color: pink
            rose:
              label: Rose
              color: rose
            neutral:
              label: Neutral
              color: neutral
          title: Color
          description: The entity's tint, filled on write, when it has one
      required:
        - kind
        - id
        - name
      description: >-
        An entity tagged by name in a text: what an `@Name` in it points at. The
        client sends kind, id and name; the API validates the id and fills the
        visuals
    ChatStateStatusSchema:
      type: string
      enum:
        - OPEN
        - CLOSED
      options:
        OPEN:
          label: Open
        CLOSED:
          label: Resolved
      title: Status
      description: The state status of the chat
    ChannelTypeIdSchema:
      type: string
      enum:
        - internal
        - org
        - agent
        - custom
        - whatsapp_bot
        - messenger_bot
        - instagram_dm
        - tiktok_dm
        - telegram_bot
        - slack_bot
        - teams_bot
        - gmail
        - outlook
        - twilio
        - telnyx
        - email
        - smpp
      description: The channel type
    PublicAssistantSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        avatar_url:
          type:
            - string
            - 'null'
        deleted:
          type: boolean
        config:
          $ref: '#/components/schemas/PublicAssistantConfigSchema'
      required:
        - id
        - name
        - avatar_url
        - deleted
        - config
      description: Schema for a public assistant
    PublicAssistantChannelSchema:
      type: object
      properties:
        id:
          type: string
        enabled:
          type: boolean
        has_connection:
          type: boolean
        updates_outside_window:
          type: boolean
          description: >-
            The channel delivers updates after the messaging window closed
            (WhatsApp Direct Send) and the provider has not rejected one for
            this connection yet
        identity:
          type:
            - string
            - 'null'
          description: >-
            The channel identity messages are exchanged through, e.g the
            WhatsApp phone number
      required:
        - id
        - enabled
        - has_connection
        - identity
      description: Schema for a public assistant channel
    UserLimitedSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        email:
          type: string
          format: email
        avatar:
          type:
            - string
            - 'null'
        seen_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - name
        - email
        - avatar
        - seen_at
      description: The assigned user for the conversation
    AssistantConfigSchema:
      type: object
      properties:
        instructions:
          type: string
          maxLength: 40000
          title: Instructions
          description: 'The instructions for the assistant: its system prompt'
        language:
          $ref: '#/components/schemas/ModelLanguageSchema'
        model:
          type: string
          minLength: 1
          maxLength: 128
          title: Model
          description: The model to use for the assistant
        conversation:
          $ref: '#/components/schemas/AssistantConversationConfigSchema'
        widget:
          $ref: '#/components/schemas/AssistantWidgetConfigSchema'
        knowledge_scope:
          $ref: '#/components/schemas/KnowledgeModeSchema'
        timezone:
          $ref: '#/components/schemas/TimezoneValueSchema'
      required:
        - language
        - model
        - conversation
        - knowledge_scope
        - timezone
      description: Schema for the configuration of an assistant
    ModelMessageRoleSchema:
      type: string
      enum:
        - user
        - assistant
        - system
        - tool
        - event
        - note
      description: The role of the message
    ModelMessageSchema:
      oneOf:
        - $ref: '#/components/schemas/ModelSystemMessageSchema'
        - $ref: '#/components/schemas/ModelAssistantMessageSchema'
        - $ref: '#/components/schemas/ModelUserMessageSchema'
        - $ref: '#/components/schemas/ModelToolMessageSchema'
        - $ref: '#/components/schemas/ModelEventMessageSchema'
        - $ref: '#/components/schemas/ModelNoteMessageSchema'
      discriminator:
        propertyName: role
        mapping:
          system: '#/components/schemas/ModelSystemMessageSchema'
          assistant: '#/components/schemas/ModelAssistantMessageSchema'
          user: '#/components/schemas/ModelUserMessageSchema'
          tool: '#/components/schemas/ModelToolMessageSchema'
          event: '#/components/schemas/ModelEventMessageSchema'
          note: '#/components/schemas/ModelNoteMessageSchema'
    ChatStatusSchema:
      type: string
      enum:
        - RUNNING
        - COMPLETED
        - FAILED
        - CANCELED
      description: The chat status
    ModelUsageSchema:
      type: object
      properties:
        input_tokens:
          type: number
          description: Number of input tokens used by the model
        output_tokens:
          type: number
          description: Number of output tokens generated by the model
        total_tokens:
          type: number
          description: Total number of tokens used by the model
        reasoning_tokens:
          type: number
          description: Number of reasoning tokens used by the model
        input_tokens_cache_read:
          type: number
          description: Number of input tokens cached read by the model
        input_tokens_cache_write:
          type: number
          description: Number of input tokens cached written by the model
        turns:
          type: array
          items:
            $ref: '#/components/schemas/ModelUsageTurnSchema'
      description: The usage information for the message
    ModelUsageCostSchema:
      type: object
      properties:
        total:
          type: number
          description: Amount billed for the message, in USD
        base:
          type: number
          description: Amount at the chat's base rate, before any discount, in USD
        lines:
          $ref: '#/components/schemas/ModelUsageCostLinesSchema'
      required:
        - total
        - base
        - lines
      description: The cost of a message, at the rates it is billed at
    ChatMessageReactionSchema:
      type: object
      properties:
        emoji:
          type: string
        member_id:
          type: string
          description: Reacting member; absent when the AI reacted
      required:
        - emoji
      description: An emoji reaction on a chat message
    ChatMessengerAdSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - messenger_ad
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        ref:
          type: string
        ad_id:
          type: string
        source:
          type: string
        referer_uri:
          type: string
        ads_context_data:
          type: object
          properties:
            ad_title:
              type: string
            photo_url:
              type: string
            video_url:
              type: string
            post_id:
              type: string
            product_id:
              type: string
      required:
        - type
    ChatMessengerProductSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - messenger_product
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        product:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            image_url:
              type: string
            price:
              type: string
            description:
              type: string
            url:
              type: string
          required:
            - id
      required:
        - type
        - product
    ChatMessengerProductTemplateSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - messenger_product_template
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        products:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              retailer_id:
                type: string
              image_url:
                type: string
              title:
                type: string
              subtitle:
                type: string
            required:
              - id
      required:
        - type
        - products
    ChatWhatsAppAdSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - whatsapp_ad
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        source_url:
          type: string
        source_id:
          type: string
        source_type:
          type: string
        headline:
          type: string
        body:
          type: string
        media_type:
          type: string
        image_url:
          type: string
        video_url:
          type: string
        thumbnail_url:
          type: string
        ctwa_clid:
          type: string
      required:
        - type
    ChatWhatsAppProductSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - whatsapp_product
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        catalog_id:
          type: string
        product_retailer_id:
          type: string
        name:
          type: string
        image_url:
          type: string
        price:
          type: string
        description:
          type: string
        url:
          type: string
        retailer_id:
          type: string
      required:
        - type
        - catalog_id
        - product_retailer_id
    ChatWhatsAppOrderSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - whatsapp_order
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        catalog_id:
          type: string
        product_items:
          type: array
          items:
            type: object
            properties:
              product_retailer_id:
                type: string
              quantity:
                type: number
              item_price:
                type: number
              currency:
                type: string
              name:
                type: string
              image_url:
                type: string
              price:
                type: string
              description:
                type: string
              url:
                type: string
              retailer_id:
                type: string
            required:
              - product_retailer_id
              - quantity
              - item_price
              - currency
        text:
          type: string
      required:
        - type
        - catalog_id
        - product_items
    ChatInstagramAdSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - instagram_ad
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        ref:
          type: string
        ad_id:
          type: string
        source:
          type: string
        ads_context_data:
          type: object
          properties:
            ad_title:
              type: string
            photo_url:
              type: string
            video_url:
              type: string
      required:
        - type
    ChatInstagramProductSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - instagram_product
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        product:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            image_url:
              type: string
            price:
              type: string
            description:
              type: string
            url:
              type: string
          required:
            - id
      required:
        - type
        - product
    ChatInstagramProductTemplateSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - instagram_product_template
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        products:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              retailer_id:
                type: string
              image_url:
                type: string
              title:
                type: string
              subtitle:
                type: string
            required:
              - id
      required:
        - type
        - products
    ChatInstagramPostSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - instagram_post
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        post_id:
          type: string
        post_media_id:
          type: string
        title:
          type: string
        media_url:
          type: string
        username:
          type: string
        permalink:
          type: string
      required:
        - type
    ChatInstagramReelSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - instagram_reel
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        reel_video_id:
          type: string
        title:
          type: string
        media_url:
          type: string
        username:
          type: string
        permalink:
          type: string
      required:
        - type
    ChatInstagramStorySchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - instagram_story
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        story_media_id:
          type: string
        media_url:
          type: string
        username:
          type: string
        permalink:
          type: string
        link_sticker_url:
          type: string
      required:
        - type
    ChatInstagramStoryMentionSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - instagram_story_mention
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        media_url:
          type: string
        username:
          type: string
        permalink:
          type: string
      required:
        - type
    ChatInstagramCommentSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - instagram_comment
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        comment_id:
          type: string
        media_id:
          type: string
        permalink:
          type: string
        text:
          type: string
        parent_id:
          type: string
        private_reply:
          type: boolean
          enum:
            - true
      required:
        - type
        - comment_id
    ChatMessengerPostSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - messenger_post
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        post_id:
          type: string
        title:
          type: string
        permalink:
          type: string
        media_url:
          type: string
      required:
        - type
    ChatMessengerReelSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - messenger_reel
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        reel_video_id:
          type: string
        title:
          type: string
        permalink:
          type: string
        media_url:
          type: string
      required:
        - type
    ChatMessengerCommentSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - messenger_comment
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        comment_id:
          type: string
        post_id:
          type: string
        permalink:
          type: string
        text:
          type: string
        parent_id:
          type: string
        private_reply:
          type: boolean
          enum:
            - true
      required:
        - type
        - comment_id
    ChatTikTokAdSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - tiktok_ad
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        advertiser_id:
          type: string
        ad_id:
          type: string
        ad_name:
          type: string
        embed_url:
          type: string
        message_material_id:
          type: string
        timestamp:
          type: number
      required:
        - type
    ChatTikTokPostShareSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - tiktok_post_share
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        video_id:
          type: string
        embed_url:
          type: string
      required:
        - type
    ChatTikTokShortLinkSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - tiktok_short_link
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        ref:
          type: string
        prefilled_message:
          type: string
        prefilled_message_audit_status:
          type: string
          enum:
            - PASS
            - REJECT
      required:
        - type
    ChatWebWidgetReferralSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - web_widget
        parts:
          $ref: '#/components/schemas/ChatMessageReferralPartsSchema'
        utm_source:
          type: string
        utm_medium:
          type: string
        utm_campaign:
          type: string
        utm_term:
          type: string
        utm_content:
          type: string
        utm_ad:
          type: string
        utm_match:
          type: string
        utm_referrer:
          type: string
        gclid:
          type: string
        fbclid:
          type: string
        msclkid:
          type: string
        ttclid:
          type: string
        li_fat_id:
          type: string
        rdt_cid:
          type: string
        referrer:
          type: string
        page_url:
          type: string
      required:
        - type
    TimezoneValueSchema:
      type: string
      title: Timezone
      description: IANA timezone, e.g. "America/New_York".
    ChatAttentionKindSchema:
      type: string
      enum:
        - approval
        - question
        - ask
        - connection
    FieldSchema:
      oneOf:
        - $ref: '#/components/schemas/FieldFileSchema'
        - $ref: '#/components/schemas/FieldIdSchema'
        - $ref: '#/components/schemas/FieldNumberSchema'
        - $ref: '#/components/schemas/FieldStringSchema'
        - $ref: '#/components/schemas/FieldBooleanSchema'
        - $ref: '#/components/schemas/FieldDateSchema'
        - $ref: '#/components/schemas/FieldDateTimeSchema'
        - $ref: '#/components/schemas/FieldTimeSchema'
        - $ref: '#/components/schemas/FieldEnumSchema'
        - $ref: '#/components/schemas/FieldContentSchema'
        - $ref: '#/components/schemas/FieldConnectionSchema'
        - $ref: '#/components/schemas/FieldRecordSchema'
        - $ref: '#/components/schemas/FieldTableFieldSchema'
        - $ref: '#/components/schemas/FieldContactSchema'
        - $ref: '#/components/schemas/FieldUserSchema'
        - $ref: '#/components/schemas/FieldChatSchema'
        - $ref: '#/components/schemas/FieldSegmentSchema'
        - $ref: '#/components/schemas/FieldAssistantSchema'
        - $ref: '#/components/schemas/FieldAgentSchema'
        - $ref: '#/components/schemas/FieldObjectSchema'
      discriminator:
        propertyName: type
        mapping:
          file: '#/components/schemas/FieldFileSchema'
          id: '#/components/schemas/FieldIdSchema'
          number: '#/components/schemas/FieldNumberSchema'
          string: '#/components/schemas/FieldStringSchema'
          boolean: '#/components/schemas/FieldBooleanSchema'
          date: '#/components/schemas/FieldDateSchema'
          datetime: '#/components/schemas/FieldDateTimeSchema'
          time: '#/components/schemas/FieldTimeSchema'
          enum: '#/components/schemas/FieldEnumSchema'
          content: '#/components/schemas/FieldContentSchema'
          connection: '#/components/schemas/FieldConnectionSchema'
          record: '#/components/schemas/FieldRecordSchema'
          table_field: '#/components/schemas/FieldTableFieldSchema'
          contact: '#/components/schemas/FieldContactSchema'
          user: '#/components/schemas/FieldUserSchema'
          chat: '#/components/schemas/FieldChatSchema'
          segment: '#/components/schemas/FieldSegmentSchema'
          assistant: '#/components/schemas/FieldAssistantSchema'
          agent: '#/components/schemas/FieldAgentSchema'
          object: '#/components/schemas/FieldObjectSchema'
    ModelFeatureReasoningEffortSchema:
      type: string
      enum:
        - low
        - medium
        - high
      description: The effort level of the reasoning capability.
    ChatWorkbenchNetworkSchema:
      type: string
      enum:
        - full
        - limited
        - none
      description: >-
        Workbench outbound network: full (open), limited (package registries
        only), or none (offline).
    PublicContactSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        blocked:
          type: boolean
        unsubscribed:
          type: boolean
        ai_replies:
          type: boolean
        is_admin:
          type: boolean
        segments:
          type: array
          items:
            $ref: '#/components/schemas/SegmentLimitedSchema'
      required:
        - id
        - name
        - blocked
        - unsubscribed
        - ai_replies
        - is_admin
      description: Schema for the contact
    ModelReferenceKindSchema:
      type: string
      enum:
        - agent
        - routine
        - contact
        - user
        - skill
        - record
        - table
        - assistant
      description: The kind of entity a reference points at
    PublicAssistantConfigSchema:
      type: object
      properties:
        conversation:
          $ref: '#/components/schemas/PublicAssistantConversationConfigSchema'
        widget:
          $ref: '#/components/schemas/PublicAssistantWidgetConfigSchema'
      required:
        - conversation
        - widget
      description: Schema for a public assistant configuration
    ModelLanguageSchema:
      type: string
      enum:
        - auto
        - en
        - es
      description: List of supported languages for the model in ISO 639-1 format or "auto"
    AssistantConversationConfigSchema:
      type: object
      properties:
        thread_mode:
          $ref: '#/components/schemas/AssistantThreadModeSchema'
        welcome_banner:
          type: string
          maxLength: 256
          title: Welcome Banner
          description: Static greeting shown in the UI when a conversation starts.
        suggested_messages:
          type: array
          items:
            type: string
            maxLength: 64
          maxItems: 5
          title: Suggested Messages
          description: Up to 5 suggested messages shown when a conversation starts.
        auto_intro_message:
          type: string
          maxLength: 256
          title: Auto Intro Message
          description: >-
            First message the assistant sends automatically when a conversation
            begins via API.
        enable_memories:
          type: boolean
          title: Memories
          description: Let the assistant store memories about the contact.
        enable_end_conversation_tool:
          type: boolean
          title: Close Conversation Tool
          description: Let the assistant close conversations on its own.
        enable_transfer_to_human_tool:
          type: boolean
          title: AI Routing
          description: >-
            The AI Routing switch: let the assistant hand a conversation to one
            of your members. Off turns routing off, whatever the routing
            instructions say. Who can receive a handoff is the Members list in
            the same AI Routing card: add members there to route only to them
            (empty means any member), and give each one a description so the
            assistant knows which chats go to whom.
        routing_instructions:
          type: string
          maxLength: 40000
          title: Routing Instructions
          description: >-
            Business instructions that steer how this assistant routes transfers
            to a human (which member or team to prefer, when to escalate).
            Appended to the transfer tool guidance. The assistant can only route
            to the members in the AI Routing Members list (any member when it is
            empty).
        enable_block_contact_tool:
          type: boolean
          title: Block Contact Tool
          description: Let the assistant block abusive contacts.
        enable_ai_replies:
          type: boolean
          title: AI Replies
          description: >-
            When false the assistant is human-only: messages are received but
            the AI never responds.
        enable_auto_resolve:
          type: boolean
          title: Auto Resolve
          description: Automatically resolve conversations after a period of inactivity.
        enable_auto_follow_ups:
          type: boolean
          title: Auto Follow-ups
          description: Let the assistant follow up on conversations on its own.
        follow_up_instructions:
          type: string
          maxLength: 40000
          title: Follow-up Instructions
          description: >-
            Business rules that steer automatic follow-ups (cadence, hours, stop
            rules, tone).
        follow_ups_outside_window:
          type: boolean
          title: Follow up after the window closes
          description: >-
            After the messaging window closes, still follow up about something
            the contact asked for or is waiting on (WhatsApp).
        enable_auto_csat:
          type: boolean
          title: Auto CSAT
          description: >-
            Automatically score customer satisfaction when closing
            conversations.
        enable_private_chats:
          type: boolean
          title: Private Chats
          description: Enable private chats that do not appear in the inbox.
        enable_update_contact_tool:
          type: boolean
          title: Update Contact Tool
          description: Let the assistant collect and update contact information.
        enable_transcription:
          type: boolean
          title: Transcriptions
          description: >-
            Turn voice notes and videos into text, and describe what videos
            show, so any model understands them.
      required:
        - thread_mode
        - enable_memories
        - enable_transfer_to_human_tool
      description: Configuration options for the conversation thread of the assistant
    AssistantWidgetConfigSchema:
      type: object
      properties:
        enabled:
          type: boolean
          description: >-
            Whether the widget shows where its embed code is installed. Off
            hides it without removing the code.
        mode:
          $ref: '#/components/schemas/AssistantWidgetModeSchema'
        appearance:
          $ref: '#/components/schemas/AssistantWidgetAppearanceSchema'
        position:
          $ref: '#/components/schemas/AssistantWidgetPositionSchema'
        omnibar_minimize_desktop:
          type: boolean
          description: >-
            Fold the omnibar into its compact centered button while visitors
            scroll on desktop too. On mobile viewports it always folds.
        hide_powered_by:
          type: boolean
        enable_dictation:
          type: boolean
        enable_file_uploads:
          type: boolean
        colors:
          $ref: '#/components/schemas/AssistantWidgetColorsConfigSchema'
        teaser:
          $ref: '#/components/schemas/AssistantWidgetTeaserConfigSchema'
        channels:
          $ref: '#/components/schemas/AssistantWidgetChannelsConfigSchema'
      default: {}
      description: Configuration of the embeddable web chat widget
    KnowledgeModeSchema:
      type: string
      enum:
        - all
        - restricted
      options:
        all:
          label: All sources
        restricted:
          label: Selected sources
      title: Knowledge Scope
      description: >-
        Which knowledge the assistant searches: all sources, or only the ones
        linked to it (List/Link/Unlink Assistant Knowledge Source).
    ModelSystemMessageSchema:
      type: object
      properties:
        role:
          type: string
          enum:
            - system
        parts:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/ModelTextPartSchema'
            discriminator:
              propertyName: type
              mapping:
                text: '#/components/schemas/ModelTextPartSchema'
      required:
        - role
        - parts
      description: System message
    ModelAssistantMessageSchema:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the assistant message
        role:
          type: string
          enum:
            - assistant
        parts:
          type: array
          items:
            $ref: '#/components/schemas/ModelAssistantMessagePartsSchema'
        reactions:
          type: string
          maxLength: 1024
          description: >-
            Prerendered emoji reactions on the message, injected at prompt build
            time
      required:
        - role
        - parts
      description: Assistant message
    ModelUserMessageSchema:
      type: object
      properties:
        role:
          type: string
          enum:
            - user
        parts:
          type: array
          items:
            $ref: '#/components/schemas/ModelUserMessagePartsSchema'
        name:
          type: string
          maxLength: 512
          description: Name of the user, used to give context on multiplayer chats
        member_role:
          $ref: '#/components/schemas/ModelUserMessageMemberRoleSchema'
        timestamp:
          type: string
          maxLength: 64
          description: >-
            Formatted timestamp for the message, used for time-awareness in
            conversations
        reactions:
          type: string
          maxLength: 1024
          description: >-
            Prerendered emoji reactions on the message, injected at prompt build
            time
        message_id:
          type: string
          maxLength: 16
          description: >-
            Short reference to the stored message (the first uuid segment, 8
            characters), injected at prompt build time so tools can target the
            message
      required:
        - role
        - parts
      description: User message
    ModelToolMessageSchema:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the assistant message
        role:
          type: string
          enum:
            - tool
        parts:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/ModelToolResultPartSchema'
            discriminator:
              propertyName: type
              mapping:
                tool_result: '#/components/schemas/ModelToolResultPartSchema'
      required:
        - role
        - parts
      description: Tool message
    ModelEventMessageSchema:
      type: object
      properties:
        role:
          type: string
          enum:
            - event
        parts:
          type: array
          items:
            $ref: '#/components/schemas/ModelEventMessagePartsSchema'
        name:
          type: string
        member_role:
          $ref: '#/components/schemas/ModelUserMessageMemberRoleSchema'
        timestamp:
          type: string
          maxLength: 64
        reactions:
          type: string
          maxLength: 1024
          description: >-
            Prerendered emoji reactions on the message, injected at prompt build
            time
        message_id:
          type: string
          maxLength: 16
          description: >-
            Short reference to the stored message (the first uuid segment, 8
            characters), injected at prompt build time so tools can target the
            message
      required:
        - role
        - parts
    ModelNoteMessageSchema:
      type: object
      properties:
        role:
          type: string
          enum:
            - note
        parts:
          type: array
          items:
            $ref: '#/components/schemas/ModelUserPartsSchema'
        name:
          type: string
          maxLength: 512
          description: Name of the staff member who wrote the note
        member_role:
          $ref: '#/components/schemas/ModelUserMessageMemberRoleSchema'
        timestamp:
          type: string
          maxLength: 64
          description: >-
            Formatted timestamp for the note, used for time-awareness in
            conversations
      required:
        - role
        - parts
    ModelUsageTurnSchema:
      type: object
      properties:
        input_tokens:
          type: number
          description: Number of input tokens used by the model
        output_tokens:
          type: number
          description: Number of output tokens generated by the model
        total_tokens:
          type: number
          description: Total number of tokens used by the model
        reasoning_tokens:
          type: number
          description: Number of reasoning tokens used by the model
        input_tokens_cache_read:
          type: number
          description: Number of input tokens cached read by the model
        input_tokens_cache_write:
          type: number
          description: Number of input tokens cached written by the model
      description: The usage of a turn
    ModelUsageCostLinesSchema:
      type: object
      properties:
        input:
          type: number
        output:
          type: number
        reasoning:
          type: number
        cache_read:
          type: number
        cache_write:
          type: number
      required:
        - input
        - output
        - reasoning
        - cache_read
        - cache_write
      description: Share of the base amount per token type, in USD
    ChatMessageReferralPartsSchema:
      type: array
      items:
        oneOf:
          - $ref: '#/components/schemas/ModelFilePartSchema'
          - $ref: '#/components/schemas/ModelImagePartSchema'
        discriminator:
          propertyName: type
          mapping:
            file: '#/components/schemas/ModelFilePartSchema'
            image: '#/components/schemas/ModelImagePartSchema'
    FieldFileSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - file
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldFileDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        broadcast_exposed:
          type: boolean
          description: >-
            A per-recipient slot: the broadcast trigger `variables` and imported
            values override it by key (string inputs only)
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        any:
          type: boolean
          description: >-
            Offers an "Any" choice first, stored as `any`: the field matches
            every value (enum and reference pickers)
        allowed_types:
          type: array
          items:
            type: string
          description: >-
            Allowed mime types for the file field (e.g. image/*,
            application/pdf)
        visibility:
          $ref: '#/components/schemas/FileVisibilitySchema'
        default:
          anyOf:
            - $ref: '#/components/schemas/FileSchema'
            - type: array
              items:
                $ref: '#/components/schemas/FileSchema'
          description: >-
            The default value of the file field: the already-attached file(s),
            pre-filled and replaceable
      required:
        - type
      description: The file type allows users to upload files
    FieldIdSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - id
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        broadcast_exposed:
          type: boolean
          description: >-
            A per-recipient slot: the broadcast trigger `variables` and imported
            values override it by key (string inputs only)
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        any:
          type: boolean
          description: >-
            Offers an "Any" choice first, stored as `any`: the field matches
            every value (enum and reference pickers)
        prefix:
          type: string
          pattern: ^[A-Z][A-Z0-9]{0,15}$
          description: >-
            Uppercase alphanumeric prefix rendered before the record number
            (e.g. `LEAD` → `LEAD-42`). Omit to render the bare number.
      required:
        - type
      description: >-
        Readonly auto-numbered record identifier, rendered from the record
        number with an optional prefix
    FieldNumberSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - number
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldNumberDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        broadcast_exposed:
          type: boolean
          description: >-
            A per-recipient slot: the broadcast trigger `variables` and imported
            values override it by key (string inputs only)
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        any:
          type: boolean
          description: >-
            Offers an "Any" choice first, stored as `any`: the field matches
            every value (enum and reference pickers)
        default:
          anyOf:
            - type: number
            - type: string
              enum:
                - '{{auto}}'
          description: The default value of the number field
      required:
        - type
      description: The number field allows users to input numbers
    FieldStringSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - string
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldStringDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        broadcast_exposed:
          type: boolean
          description: >-
            A per-recipient slot: the broadcast trigger `variables` and imported
            values override it by key (string inputs only)
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        any:
          type: boolean
          description: >-
            Offers an "Any" choice first, stored as `any`: the field matches
            every value (enum and reference pickers)
        default:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
          description: The default value of the string field
        format:
          type: string
          enum:
            - url
            - email
            - phone
          description: The validation type for the field
        min:
          type: number
          minimum: 1
          description: The minimum length of the string field
        max:
          type: number
          minimum: 1
          description: The maximum length of the string field
      required:
        - type
      description: The string field allows users to input text
    FieldBooleanSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - boolean
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        broadcast_exposed:
          type: boolean
          description: >-
            A per-recipient slot: the broadcast trigger `variables` and imported
            values override it by key (string inputs only)
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        any:
          type: boolean
          description: >-
            Offers an "Any" choice first, stored as `any`: the field matches
            every value (enum and reference pickers)
        default:
          type: boolean
          description: The default value of the boolean field
      required:
        - type
      description: The boolean field allows users mark a field as true or false
    FieldDateSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - date
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDateDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        broadcast_exposed:
          type: boolean
          description: >-
            A per-recipient slot: the broadcast trigger `variables` and imported
            values override it by key (string inputs only)
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        any:
          type: boolean
          description: >-
            Offers an "Any" choice first, stored as `any`: the field matches
            every value (enum and reference pickers)
        default:
          type:
            - string
            - 'null'
          format: date-time
          description: The default value of the date field, formatted as YYYY-MM-DD
        range:
          type: boolean
          description: >-
            Turns the field into a range: requires `array: true`, and the value
            becomes an array of exactly two dates (start, end). A Timeline can
            draw it as a bar.
      required:
        - type
      description: The date field allows users to select a date
    FieldDateTimeSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - datetime
          description: The type of the field
        name:
          type: string
          maxLength: 1024
          description: The name of the field
        description:
          type: string
          maxLength: 10240
          description: The description of the field
        optional:
          type: boolean
          description: Indicates whether the field is optional
        array:
          type: boolean
          description: Indicates whether the field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the field
        display:
          $ref: '#/components/schemas/FieldDateTimeDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the field relative to other fields in the form
        link:
          type: string
          description: The link to the documentation for the field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        broadcast_field:
          type: boolean
          description: Indicates whether the field is used for broadcast
        broadcast_exposed:
          type: boolean
          description: >-
            A per-recipient slot: the broadcast trigger `variables` and imported
            values override it by key (string inputs only)
        integration_field:
          type: boolean
          description: Indicates whether the field is common to all integrations
        display_field:
          type: boolean
          description: >-
            Marks this field as the human-readable identifier for the
            integration. Its resolved value (enum label or string) is shown on
            the assistant channel card to disambiguate multiple integrations of
            the same type.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FieldConditionSchema'
          description: Conditions that must be met for the field to be shown
        hidden:
          type: boolean
          description: Indicates whether the field is hidden from the UI
        picker:
          $ref: '#/components/schemas/FieldPickerSchema'
        requires:
          type: array
          items:
            $ref: '#/components/schemas/FieldKeySchema'
          description: >-
            Sibling field keys that must be filled before this field can resolve
            its data (list options, dynamic fields, or a scoped reference
            picker)
        disable_variables:
          type: boolean
          description: >-
            When true, skip template variable replacement ({{variable}}) for
            this field
        any:
          type: boolean
          description: >-
            Offers an "Any" choice first, stored as `any`: the field matches
            every value (enum and reference pickers)
        default:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The default value of the date time field, formatted as
            YYYY-MM-DDTHH:MM:SS
        range:
          type: boolean
          description: >-
            Turns the field into a range: requires `array: true`, and the value
            becomes an array of exactly two dates (start, end). A Timeline can
            draw it as a bar.
        source:
          $ref: '#/components/schemas/FieldDateTimeSourceSchema'
      required:
[...]
